Subject: Re: [PATCH net-next v2 1/6] net: dcb: add new pcp selector to app object

From: Petr Machata <[email-masked]>
Date: Fri, 30 Sep 2022 17:41:22 +0200

Petr Machata <[email-masked]> writes:

> We can pack the new stuff into a smaller payload. The inner attribute
> would not be DCB_ATTR_DCB_APP, but say DCB_ATTR_DCB_PCP, which would
> imply the selector. The payload can be struct { u8 prio; u16 proto; }.
> This would have been bounced by the old UAPI, so we know no userspace
> makes use of that.

Except this will end up having size of 4 anyway due to alignment. We'll
have to make it a struct { ... } __attribute__((__packed__));